Bug 975372 - fv_* exception when guest console log is not created [NEEDINFO]
fv_* exception when guest console log is not created
Status: CLOSED WONTFIX
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
1.7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Yu Shao
Red Hat Kernel QE team
:
Depends On: 815595 918221
Blocks: 918220
  Show dependency treegraph
 
Reported: 2013-06-18 05:29 EDT by Lingzhu Xiang
Modified: 2015-07-13 10:20 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 918221
Environment:
Last Closed: 2015-07-13 10:20:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rlandry: needinfo? (gnichols)


Attachments (Terms of Use)
patch (1.14 KB, patch)
2014-11-13 23:43 EST, Guangze Bai
gbai: review? (gnichols)
Details | Diff

  None (edit)
Description Lingzhu Xiang 2013-06-18 05:29:06 EDT
+++ This bug was initially created as a clone of Bug #918221 +++

When guest_console.log is not saved, the test dies in an exception. 

Log:



Submitted tests: hwcert-backend run   --mode auto --test core
Warning: "virsh start hwcert-x86_64" has output on stderr
error: Failed to start domain hwcert-x86_64
error: internal error process exited while connecting to monitor: char device redirected to /dev/pts/1 (l
abel charserial0)
Could not access KVM kernel module: Permission denied
failed to initialize KVM: Permission denied

fv_core test is running, it takes some time(less than 60 minutes), please be patient ...
You may use "virsh console hwcert-x86_64" to monitor the testing progress
Warning: debug could not display virsh console log.
"virsh ttyconsole hwcert-x86_64" no match for regular expression ^/dev.*$
Guest has shutdown
Traceback (most recent call last):
  File "/usr/bin/hwcert-backend", line 45, in <module>
    success = hwcertBackend.do(args)
  File "/usr/share/hwcert/lib/hwcert/backend.py", line 182, in do
    result = self.commands[self.command]()
  File "/usr/share/hwcert/lib/hwcert/harness.py", line 394, in doRun
    return self._doRun(tests)
  File "/usr/share/hwcert/lib/hwcert/harness.py", line 500, in _doRun
    returnValue = self.runTest(tmpDirectory, test, run, outputFilePath)
  File "/usr/share/hwcert/lib/hwcert/harness.py", line 924, in runTest
    rv = test.run()
  File "/usr/share/hwcert/lib/hwcert/fvtest.py", line 569, in run
    if not self.runGuest():
  File "/usr/share/hwcert/lib/hwcert/fvtest.py", line 503, in runGuest
    log = open("guest_console.log")
IOError: [Errno 2] No such file or directory: 'guest_console.log'

--- Additional comment from Lingzhu Xiang on 2013-06-05 04:55:52 EDT ---

Besides the above problem needing more robust handling of opening the file, guest_console.log is saved fine. 

The log file is saved in /tmp/hwcert-$random_directory instead of getting printed on stdout/err of hwcert. This could be improved.
Comment 3 Guangze Bai 2014-11-13 23:43:40 EST
Created attachment 957408 [details]
patch
Comment 5 brose 2015-07-13 10:20:06 EDT
Closing as hwcert-client is obsolete.
Please use redhat-certification-hardware instead.

Note You need to log in before you can comment on or make changes to this bug.